package com.ruoyi.warehouseBusiness.mapper;

import com.ruoyi.warehouseBusiness.domain.BillnoSerial;

import java.util.List;

/**
 * 客户存货编号流水号Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-23
 */
public interface BillnoSerialMapper {
    /**
     * 查询客户存货编号流水号
     *
     * @param id 客户存货编号流水号ID
     * @return 客户存货编号流水号
     */
    public BillnoSerial selectBillnoSerialById(Long id);

    /**
     * 查询客户存货编号流水号列表
     *
     * @param billnoSerial 客户存货编号流水号
     * @return 客户存货编号流水号集合
     */
    public List<BillnoSerial> selectBillnoSerialList(BillnoSerial billnoSerial);

    /**
     * 新增客户存货编号流水号
     *
     * @param billnoSerial 客户存货编号流水号
     * @return 结果
     */
    public int insertBillnoSerial(BillnoSerial billnoSerial);

    /**
     * 修改客户存货编号流水号
     *
     * @param billnoSerial 客户存货编号流水号
     * @return 结果
     */
    public int updateBillnoSerial(BillnoSerial billnoSerial);

    /**
     * 删除客户存货编号流水号
     *
     * @param id 客户存货编号流水号ID
     * @return 结果
     */
    public int deleteBillnoSerialById(Long id);

    /**
     * 批量删除客户存货编号流水号
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBillnoSerialByIds(Long[] ids);

    /**
     * 查询客户存货编号流水号
     *
     * @param billnoSerial 客户存货编号流水号
     * @return 客户存货编号流水号集合
     */
    BillnoSerial selectBillnoSerial(BillnoSerial billnoSerial);
}
